Loading...
Searching...
No Matches
xccdf_target_fact Struct Reference
XCCDF

XCCDF target fact. More...

`#include <xccdf_benchmark.h>`

## Public Member Functions

OSCAP_API struct xccdf_target_fact * | xccdf_target_fact_new (void)
OSCAP_API struct xccdf_target_fact * | xccdf_target_fact_clone (const struct xccdf_target_fact *tf)
OSCAP_API void | xccdf_target_fact_free (struct xccdf_target_fact *fact)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
OSCAP_API xccdf_value_type_t | xccdf_target_fact_get_type (const struct xccdf_target_fact *item)
OSCAP_API const char * | xccdf_target_fact_get_value (const struct xccdf_target_fact *item)
OSCAP_API const char * | xccdf_target_fact_get_name (const struct xccdf_target_fact *item)
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
OSCAP_API bool | xccdf_target_fact_set_string (struct xccdf_target_fact *fact, const char *str)
OSCAP_API bool | xccdf_target_fact_set_number (struct xccdf_target_fact *fact, xccdf_numeric val)
OSCAP_API bool | xccdf_target_fact_set_boolean (struct xccdf_target_fact *fact, bool val)
OSCAP_API bool | xccdf_target_fact_set_name (struct xccdf_target_fact *obj, const char *newval)

## Data Fields

xccdf_value_type_t | type
char * | name
char * | value

## Detailed Description

XCCDF target fact.

See also
  xccdf_result

The documentation for this struct was generated from the following files:

- item.h
- xccdf_benchmark.h